classification
Title: Convert warnings to SyntaxWarning in parser
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: abarry, eric.smith, martin.panter, ncoghlan, ned.deily, python-dev, serhiy.storchaka
Priority: normal Keywords:

Created on 2016-09-08 19:23 by serhiy.storchaka, last changed 2017-10-23 12:58 by serhiy.storchaka. This issue is now closed.

Messages (3)
msg275122 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-09-08 19:23
AST parser converts UnicodeError and ValueError raised during parsing string literal to SyntaxError. Maybe make it converting warnings (see issue27364) to SyntaxWarning?
msg279651 - (view) Author: Anilyka Barry (abarry) * (Python triager) Date: 2016-10-29 03:47
Cross-ping from #28128

I think it would be best to solve this issue, solving both #28128 and any future warning-introducing feature or deprecation. I've marked this issue as a dependency for #28128 as well as upping the priority. There are less than 7 weeks before the final 3.6.0 release and I would like to get as much mileage out of this before then.

Thanks :)
msg304801 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-23 12:58
Closed because I don't see ways to do this.
History
Date User Action Args
2017-10-23 12:58:50serhiy.storchakasetstatus: open -> closed
resolution: wont fix
messages: + msg304801

stage: needs patch -> resolved
2016-10-31 23:42:24ned.deilysetmessages: - msg279836
2016-10-31 23:37:08python-devsetnosy: + python-dev
messages: + msg279836
2016-10-31 15:50:59serhiy.storchakasetversions: - Python 3.6
2016-10-31 15:18:30abarryunlinkissue28128 dependencies
2016-10-31 15:18:22abarrysetpriority: high -> normal
2016-10-29 03:47:00abarrysetpriority: normal -> high
versions: + Python 3.7
nosy: + ncoghlan, eric.smith, ned.deily, martin.panter

messages: + msg279651

stage: needs patch
2016-10-29 03:46:58abarrylinkissue28128 dependencies
2016-09-08 19:31:03abarrysetnosy: + abarry
2016-09-08 19:23:04serhiy.storchakacreate